Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 248366 - HTML5/JS distro which bundles JRE
HTML5/JS distro which bundles JRE
Status: RESOLVED FIXED
Product: installer
Classification: Unclassified
Component: Code
8.1
All All
: P1 (vote)
: 8.1
Assigned To: Libor Fischmeistr
issues@installer
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-03 13:31 UTC by Antonin Nebuzelsky
Modified: 2015-03-03 04:19 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Warning about missing JDK in Plugins manager (114.19 KB, image/png)
2014-11-03 13:38 UTC, Antonin Nebuzelsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2014-11-03 13:31:53 UTC
Let's create a distro for HTML5/JS users, which bundles JRE.

We may also want to do the same for PHP and C/C++ distros. To be decided...

The installation of the distro, as run on JRE only, needs to handle gracefully any user attempts to install additional modules from the Update Center.
Comment 1 Antonin Nebuzelsky 2014-11-03 13:38:32 UTC
Created attachment 150237 [details]
Warning about missing JDK in Plugins manager

Dependency on JDK classes is already detected by Plugins manager, before the installation of the plugins, and the user is not allowed to install the modules.
Comment 2 Libor Fischmeistr 2014-12-15 16:19:53 UTC
Branch bundled_jre_248366 created.
Comment 3 Libor Fischmeistr 2015-02-24 07:05:28 UTC
Branch merged to trunk - http://hg.netbeans.org/core-main/rev/5812f3b349fc
Fix symlink - http://hg.netbeans.org/core-main/rev/dd5419d60a74
Fix jre-nested icon - http://hg.netbeans.org/core-main/rev/d43644ee399a
Comment 4 Quality Engineering 2015-02-24 23:47:26 UTC
Integrated into 'main-silver', will be available in build *201502242039* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/dd5419d60a74
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #248366: Fix - symlink zip
Comment 5 Libor Fischmeistr 2015-02-25 13:55:02 UTC
Download page - file size - http://hg.netbeans.org/core-main/rev/11e4b8a641b0
Comment 6 Quality Engineering 2015-02-26 04:34:01 UTC
Integrated into 'main-silver', will be available in build *201502260001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/11e4b8a641b0
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #248366: HTML5/JS distro which bundles JRE - fix - download page file size
Comment 7 Libor Fischmeistr 2015-02-26 13:19:48 UTC
Mac symlink fix - http://hg.netbeans.org/core-main/rev/aef7b64e10dd
Welcome pages update - http://hg.netbeans.org/core-main/rev/9c8a3eaa299e
Comment 8 Quality Engineering 2015-02-27 04:00:01 UTC
Integrated into 'main-silver', will be available in build *201502270001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/f5e637aea7e7
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #248366: HTML5/JS distro which bundles JRE - fix - l10n download buttons
Comment 9 Libor Fischmeistr 2015-03-01 16:50:48 UTC
Components reorder - http://hg.netbeans.org/core-main/rev/3a82c084dc74
HTML/JS description edit - http://hg.netbeans.org/core-main/rev/be48f629b501
Comment 10 Quality Engineering 2015-03-02 03:16:29 UTC
Integrated into 'main-silver', will be available in build *201503020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/be48f629b501
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #248366: HTML5/JS distro which bundles JRE - HTML/JS description edit
Comment 11 Quality Engineering 2015-03-03 04:19:10 UTC
Integrated into 'main-silver', will be available in build *201503030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/3a82c084dc74
User: Libor Fischmeistr <lfischmeistr@netbeans.org>
Log: #248366: HTML5/JS distro which bundles JRE - reorder components on download page


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo